/* Styles for the body element */
html {
  height: 100%
}

body {
  margin: 0;
  min-height: 100%;
  background-color: #EEF4F5;
  background-size: 100% 100%;
}

.center {
  margin: 0;
  position: absolute;
  top: 50%;
  left: 50%;
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
}

.contain {
  display:block;
  width:100%; height:100%;
  object-fit: contain;
}

.stretch {
  display:block;
  width:100%; height:100%;
}

.cover {
  display:block;
  width:100%; height:100%;
  object-fit: cover;
}

.bottom {
  position: absolute;
  bottom: 0;
  left: 50%;
  -ms-transform: translate(-50%, 0);
  transform: translate(-50%, 0);
}

.bottomLeft {
  position: absolute;
  bottom: 0;
  left: 0;
}

.bottomRight {
  position: absolute;
  bottom: 0;
  right: 0;
}

/* Styles for the progress bar container */
.progress-container {
    position: fixed;
    left: 50%;
    bottom: 35%;
    transform: translateX(-50%);

    width: 300px;
    height: 10px;

    background-color: #C8D5D7;
    border-radius: 10px;
    overflow: hidden;

    z-index: 1;

    transition: opacity 0.25s ease-out; /* Determines how fast/slow the progress bar fades out (original = 0.25s) */
}

.progress-bar {
    height: 100%;
    width: 0;
    background-color: #00A6D3;
    transition: width 0.5s ease; /* 0.5s original */
}

/* CSS for a fade-in animation */
.fade-in {
    opacity: 0;
    animation: fadeIn 1s ease-in-out forwards; /* Determines the fade-in speed of the app (original = 1s) */
}

/* Keyframes for the fadeIn animation */
@keyframes fadeIn {
    0% {
        opacity: 0;
    }
    60% {
        opacity: 0; /* 0 = original */
    }
    100% {
        opacity: 1;
    }
}